%global momorel 2

Summary: device mapper library
Name: device-mapper
Version: 1.02.05
Release: %{momorel}m
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/dm
Source0: ftp://sources.redhat.com/pub/dm/%{name}.%{version}.tgz
NoSource: 0
#Patch0: device-mapper-selinux.patch
#Patch1: device-mapper-1.02.02-libpaths.patch
Patch2: device-mapper-1.02.02-pkgconfigdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libselinux-devel, libsepol-devel
ExcludeArch: s390 s390x

%define _exec_prefix /

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%prep
%setup -q -n %{name}.%{version}
#%%patch0 -p1 -b .selinux
#%%patch1 -p1 -b .libpaths
%if %{_lib} == "lib64"
%patch2 -p1 -b .pkgconfigdir
%endif

%build
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-dmeventd --enable-pkgconfig
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%{_libdir}/libdevmapper.so*
%{_libdir}/libdevmapper.a*
%{_libdir}/libdevmapper-event.so*
%{_libdir}/libdevmapper-event.a*
%{_sbindir}/dmsetup
%{_sbindir}/dmsetup.static
%{_mandir}/*/*
%{_includedir}/libdevmapper.h
%{_includedir}/libdevmapper-event.h
%{_prefix}/%{_lib}/pkgconfig/*.pc

%changelog
* Mon May  8 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.02.05-2m)
- add pkgconfigdir patch for lib64

* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02.05-1m)
- up to 1.02.05 (sync with FC 1.02.05-1.2)

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.02.02-2m)
- sync with Fedora CVS

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.02.02-1m)
- up to 1.02.02

* Mon Aug 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.00.19-1m)
- import from Fedora Core 2

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

